Bug 2249395 - Review Request: 86box - Emulator of x86-based machines based on PCem.
Summary: Review Request: 86box - Emulator of x86-based machines based on PCem.
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Artur Frenszek-Iwicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-12 19:40 UTC by Leo Puvilland
Modified: 2024-03-17 16:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Leo Puvilland 2023-11-12 19:40:21 UTC
Spec URL: https://pagure.io/86box/blob/master/f/86box.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/leo/86box/srpm-builds/06626902/86Box-4.0.1-1.src.rpm
Description: Emulator of x86-based machines based on PCem. 
Fedora Account System Username: leo

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=108946263

Comment 1 Artur Frenszek-Iwicki 2023-11-14 18:43:40 UTC
> Spec URL: https://pagure.io/86box/blob/master/f/86box.spec
This leads to a syntax-highlighted HTML rendition of the spec. Please use "raw file" links.

> License:	GPLv2+
Old Callaway-style tag. The SPDX equivalent of this is "GPL-2.0-or-later".
https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_valid_license_short_names

> %ifarch i386 x86_64
It'd probably be safer to use the "%{ix86}" macro here instead of just "i386".

>   %ifarch arm aarch64
Same here - use the "%{arm32}" macro to check for 32-bit ARM architectures.

>   mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps
> ...
> desktop-file-install --dir=%{buildroot}%{_datadir}/applications src/unix/assets/net.86box.86Box.desktop
Mixed use of %{buildroot} and $RPM_BUILD_ROOT. Please pick one and stick with it.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_using_buildroot_and_optflags_vs_rpm_build_root_and_rpm_opt_flags

Comment 2 Leo Puvilland 2023-11-15 05:27:14 UTC
Fixed these issues.
Spec URL: https://pagure.io/86box/raw/master/f/86box.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/leo/86box/srpm-builds/06637672/86Box-4.0.1-1.src.rpm
Description: Emulator of x86-based machines based on PCem. 
Fedora Account System Username: leo

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=109051593

Comment 3 Leo Puvilland 2023-11-15 06:16:17 UTC
Whoops, wrong spec URL.
Spec URL: https://pagure.io/86box/raw/master/f/86Box.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/leo/86box/srpm-builds/06637672/86Box-4.0.1-1.src.rpm
Description: Emulator of x86-based machines based on PCem. 
Fedora Account System Username: leo

Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=109051593

Comment 4 Artur Frenszek-Iwicki 2024-03-17 16:55:50 UTC
Hi Leo, could you update this to v4.1?
https://github.com/86Box/86Box/releases/tag/v4.1


Note You need to log in before you can comment on or make changes to this bug.